<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Labhealthpackages extends Admin_Controller
{

    public function __construct()
    {
        parent::__construct();
        $this->load->model('frontend_model');
    }

    // home features
    public function index()
    {
        // check access permission
        if (!get_permission('frontend_labhealthpackages', 'is_view')) {
            access_denied();
        }
        if($this->input->post('options')){
            $seo_content['page_title'] = $this->input->post('page_title');
                $seo_content['meta_keyword'] = $this->input->post('meta_keyword');
                $seo_content['meta_description'] = $this->input->post('meta_description');
                $seo_content['news_keywords'] = $this->input->post('news_keywords');
                $seo_content['meta_abstract'] = $this->input->post('abstract');
                $seo_content['dc_source'] = $this->input->post('dc_source');
                $seo_content['dc_title'] = $this->input->post('dc_title');
                $seo_content['dc_keywords'] = $this->input->post('dc_keywords');
                $seo_content['dc_description'] = $this->input->post('dc_description');
                $seo_content['canonical'] = $this->input->post('canonical');
                $seo_content['alternate'] = $this->input->post('alternate');
                $seo_content['robot'] = $this->input->post('robot');
                $seo_content['copyright'] = $this->input->post('copyright');
                $seo_content['author'] = $this->input->post('author');
                $seo_content['og_locale'] = $this->input->post('og_locale');
                $seo_content['og_type'] = $this->input->post('og_type');
                $seo_content['og_title'] = $this->input->post('og_title');
                $seo_content['og_description'] = $this->input->post('og_description');
                $seo_content['og_url'] = $this->input->post('og_url');
                $seo_content['og_site_name'] = $this->input->post('og_site_name');
                $seo_content['og_image'] = $this->input->post('og_image');
                $seo_content['fb_admins'] = $this->input->post('fb_admins');
                $seo_content['twitter_card'] = $this->input->post('twitter_card');
                $seo_content['twitter_site'] = $this->input->post('twitter_site');
                $seo_content['twitter_creator'] = $this->input->post('twitter_creator');
                $seo_content['twitter_title'] = $this->input->post('twitter_title');
                $seo_content['twitter_description'] = $this->input->post('twitter_description');
                $seo_content['twitter_image_src'] = $this->input->post('twitter_image_src');
                $seo_content['twitter_canonical'] = $this->input->post('twitter_canonical');
                $seo_content['item_type'] = $this->input->post('item_type');
                $seo_content['item_name'] = $this->input->post('item_name');
                $seo_content['item_description'] = $this->input->post('item_description');
                $seo_content['item_url'] = $this->input->post('item_url');
                $seo_content['item_image'] = $this->input->post('item_image');
                $seo_content['item_author'] = $this->input->post('item_author');
                $seo_content['item_organization'] = $this->input->post('item_organization');
                $arraySeo = array(
                    'page_title' => $this->input->post('page_title'),
                    'meta_keyword' => $this->input->post('meta_keyword', true),
                    'meta_description' => $this->input->post('meta_description', true),
                    'seo_content' => json_encode($seo_content),
                );
                $this->db->where('id', 1);
                $this->db->update('front_cms_speciality_seo', $arraySeo);
                set_alert('success', translate('information_has_been_saved_successfully'));
                redirect(base_url('frontend/labhealthpackages'));
        }
        if ($_POST) {
            if (!get_permission('frontend_labhealthpackages', 'is_add')) {
                access_denied();
            }
            $this->labhealthpackages_validation();
            if ($this->form_validation->run() == false) {
                $this->data['validation_error'] = true;
            } else {
                // save information in the database
                $data = $this->input->post();
                $this->frontend_model->save_labhealthpackages($data);
                $insert_id = $this->db->insert_id();
                if (isset($_FILES['image']) && $_FILES['image']['name'] != "") {
                    move_uploaded_file($_FILES['image']['tmp_name'], 'uploads/images/labhealthpackages/image/'.$insert_id.'.jpg');
                }
                if (isset($_FILES['labhealthpackages']) && $_FILES['labhealthpackages']['name'] != "") {
                    move_uploaded_file($_FILES['labhealthpackages']['tmp_name'], 'uploads/images/labhealthpackages/'.$insert_id.'.jpg');
                }
                if (isset($_FILES['white_labhealthpackages']) && $_FILES['white_labhealthpackages']['name'] != "") {
                    move_uploaded_file($_FILES['white_labhealthpackages']['tmp_name'], 'uploads/images/labhealthpackages/'.$insert_id.'white.jpg');
                }
                set_alert('success', translate('information_has_been_saved_successfully'));
                redirect(base_url('frontend/labhealthpackages'));
            }
        }
        $this->data['headerelements'] = array(
            'js' => array(
                'vendor/ckeditor/ckeditor.js',
            ),
        );
        $this->data['labhealthpackageslist'] = $this->frontend_model->get_list('front_cms_labhealthpackages_list');
        $this->data['title'] = translate('labhealthpackages');
        $this->data['sub_page'] = 'frontend/labhealthpackages';
        $this->data['main_menu'] = 'frontend';
        $this->load->view('layout/index', $this->data);
    }

    // home features edit
    public function edit($id = '')
    {
        if (!get_permission('frontend_labhealthpackages', 'is_edit')) {
            access_denied();
        }
        if ($_POST) {
            $this->labhealthpackages_validation();
            if ($this->form_validation->run() == false) {
                $this->data['validation_error'] = true;
            } else {
                // update information in the database
                $data = $this->input->post();
                $labhealthpackages_id = $this->input->post('labhealthpackages_id');
                
                $this->frontend_model->save_labhealthpackages($data);
                if (isset($_FILES['image']) && $_FILES['image']['name'] != "") {
                    move_uploaded_file($_FILES['image']['tmp_name'], 'uploads/images/labhealthpackages/image/'.$labhealthpackages_id.'.jpg');
                }
                if (isset($_FILES['labhealthpackages']) && $_FILES['labhealthpackages']['name'] != "") {
                    move_uploaded_file($_FILES['labhealthpackages']['tmp_name'], 'uploads/images/labhealthpackages/'.$labhealthpackages_id.'.jpg');
                }
                if (isset($_FILES['white_labhealthpackages']) && $_FILES['white_labhealthpackages']['name'] != "") {
                    move_uploaded_file($_FILES['white_labhealthpackages']['tmp_name'], 'uploads/images/labhealthpackages/'.$labhealthpackages_id.'white.jpg');
                }
                set_alert('success', translate('information_has_been_updated_successfully'));
                redirect(base_url('frontend/labhealthpackages'));
            }
        }
        $this->data['headerelements'] = array(
            'js' => array(
                'vendor/ckeditor/ckeditor.js',
            ),
        );
        $this->data['validation'] = 1;
        $this->data['labhealthpackages'] = $this->frontend_model->get_list('front_cms_labhealthpackages_list', array('id' => $id), true);
        $this->data['title'] = translate('frontend');
        $this->data['sub_page'] = 'frontend/labhealthpackages_edit';
        $this->data['main_menu'] = 'frontend';
        $this->load->view('layout/index', $this->data);
    }

    // home features delete
    public function delete($id = '')
    {
        if (!get_permission('frontend_labhealthpackages', 'is_delete')) {
            access_denied();
        }
        $this->db->where(array('id' => $id))->delete("front_cms_labhealthpackages_list");
    }

    private function labhealthpackages_validation()
    {
        $this->form_validation->set_rules('title', 'Title', 'trim|required|xss_clean');
        // $this->form_validation->set_rules('icon', 'Icon', 'trim|required|xss_clean');
        $this->form_validation->set_rules('description', 'Description', 'trim|required|xss_clean');
    }
    
  
    
   
    
   

     public function testprocess_add()
    {
        // check access permission
        if (!get_permission('frontend_labhealthpackages', 'is_view')) {
            access_denied();
        }
        if ($_POST) {
            if (!get_permission('frontend_labhealthpackages', 'is_add')) {
                access_denied();
            }
            $seo_content['page_title'] = $this->input->post('page_title');
                $seo_content['meta_keyword'] = $this->input->post('meta_keyword');
                $seo_content['meta_description'] = $this->input->post('meta_description');
                $seo_content['news_keywords'] = $this->input->post('news_keywords');
                $seo_content['meta_abstract'] = $this->input->post('abstract');
                $seo_content['dc_source'] = $this->input->post('dc_source');
                $seo_content['dc_title'] = $this->input->post('dc_title');
                $seo_content['dc_keywords'] = $this->input->post('dc_keywords');
                $seo_content['dc_description'] = $this->input->post('dc_description');
                $seo_content['canonical'] = $this->input->post('canonical');
                $seo_content['alternate'] = $this->input->post('alternate');
                $seo_content['robot'] = $this->input->post('robot');
                $seo_content['copyright'] = $this->input->post('copyright');
                $seo_content['author'] = $this->input->post('author');
                $seo_content['og_locale'] = $this->input->post('og_locale');
                $seo_content['og_type'] = $this->input->post('og_type');
                $seo_content['og_title'] = $this->input->post('og_title');
                $seo_content['og_description'] = $this->input->post('og_description');
                $seo_content['og_url'] = $this->input->post('og_url');
                $seo_content['og_site_name'] = $this->input->post('og_site_name');
                $seo_content['og_image'] = $this->input->post('og_image');
                $seo_content['fb_admins'] = $this->input->post('fb_admins');
                $seo_content['twitter_card'] = $this->input->post('twitter_card');
                $seo_content['twitter_site'] = $this->input->post('twitter_site');
                $seo_content['twitter_creator'] = $this->input->post('twitter_creator');
                $seo_content['twitter_title'] = $this->input->post('twitter_title');
                $seo_content['twitter_description'] = $this->input->post('twitter_description');
                $seo_content['twitter_image_src'] = $this->input->post('twitter_image_src');
                $seo_content['twitter_canonical'] = $this->input->post('twitter_canonical');
                $seo_content['item_type'] = $this->input->post('item_type');
                $seo_content['item_name'] = $this->input->post('item_name');
                $seo_content['item_description'] = $this->input->post('item_description');
                $seo_content['item_url'] = $this->input->post('item_url');
                $seo_content['item_image'] = $this->input->post('item_image');
                $seo_content['item_author'] = $this->input->post('item_author');
                $seo_content['item_organization'] = $this->input->post('item_organization');
                $data['seo_content'] = json_encode($seo_content);
                // save information in the database
                $speciality_id = $this->input->post('labhealthpackages_id');
                
                $data['speciality_id'] = $this->input->post('labhealthpackages_id');
                $data['title'] = $this->input->post('title');
                  $data['slug'] = $this->format_uri($this->input->post('slug'));
                  
                $data['overview'] = $this->input->post('overview');
              
            
               if (isset($_FILES['image']) && $_FILES['image']['name'] != "") {
                    $path_parts = pathinfo($_FILES["image"]["name"]);
                    $extension = '.'.$path_parts['extension'];
                    $filename = time().uniqid().$extension;
                    move_uploaded_file($_FILES['image']['tmp_name'], 'uploads/images/testprocess/'.$filename);
                    $data['image'] = 'uploads/images/testprocess/'.$filename;
                }
                $this->db->insert('testprocess',$data);
                $insert_id = $this->db->insert_id();
                if (isset($_FILES['photo']) && $_FILES['photo']['name'] != "") {
                    move_uploaded_file($_FILES['photo']['tmp_name'], 'uploads/images/testprocess/image/'.$insert_id.'.jpg');
                }
                set_alert('success', translate('information_has_been_saved_successfully'));
                redirect(base_url('frontend/labhealthpackages/edit/'.$speciality_id));
            
        }

        $this->data['labhealthpackageslist'] = $this->frontend_model->get_list('front_cms_labhealthpackages_list');
        $this->data['title'] = translate('labhealthpackages');
        $this->data['sub_page'] = 'frontend/labhealthpackages';
        $this->data['main_menu'] = 'frontend';
        $this->load->view('layout/index', $this->data);
    }
    

    
 public function testprocess($speciality_id)
    {
        // check access permission
        if (!get_permission('frontend_labhealthpackages', 'is_view')) {
            access_denied();
        }
        

        $this->data['labhealthpackageslist'] = $this->db->get_where('testprocess',array('speciality_id'=>$speciality_id))->result_array();
        $this->data['title'] = translate('labhealthpackages');
        $this->data['sub_page'] = 'frontend/testprocess';
        $this->data['main_menu'] = 'frontend';
        $this->load->view('layout/index', $this->data);
    }
    
    public function testprocess_edit($speciality_id)
    {
        // check access permission
        if (!get_permission('frontend_labhealthpackages', 'is_view')) {
            access_denied();
        }
        
$this->data['headerelements'] = array(
            'js' => array(
                'vendor/ckeditor/ckeditor.js',
            ),
        );
        $this->data['labhealthpackages'] = $this->db->get_where('testprocess',array('id'=>$speciality_id))->row_array();
        // echo "<pre>";
        // print_r($this->data);
        // die;
        $this->data['title'] = translate('testprocess');
        $this->data['sub_page'] = 'frontend/testprocess_edit';
        $this->data['main_menu'] = 'frontend';
        $this->load->view('layout/index', $this->data);
    }
    
    public function testprocess_edit_save()
    {
        // check access permission
        if (!get_permission('frontend_labhealthpackages', 'is_view')) {
            access_denied();
        }
        if ($_POST) {
            if (!get_permission('frontend_labhealthpackages', 'is_add')) {
                access_denied();
            }
            $seo_content['page_title'] = $this->input->post('page_title');
                $seo_content['meta_keyword'] = $this->input->post('meta_keyword');
                $seo_content['meta_description'] = $this->input->post('meta_description');
                $seo_content['news_keywords'] = $this->input->post('news_keywords');
                $seo_content['meta_abstract'] = $this->input->post('abstract');
                $seo_content['dc_source'] = $this->input->post('dc_source');
                $seo_content['dc_title'] = $this->input->post('dc_title');
                $seo_content['dc_keywords'] = $this->input->post('dc_keywords');
                $seo_content['dc_description'] = $this->input->post('dc_description');
                $seo_content['canonical'] = $this->input->post('canonical');
                $seo_content['alternate'] = $this->input->post('alternate');
                $seo_content['robot'] = $this->input->post('robot');
                $seo_content['copyright'] = $this->input->post('copyright');
                $seo_content['author'] = $this->input->post('author');
                $seo_content['og_locale'] = $this->input->post('og_locale');
                $seo_content['og_type'] = $this->input->post('og_type');
                $seo_content['og_title'] = $this->input->post('og_title');
                $seo_content['og_description'] = $this->input->post('og_description');
                $seo_content['og_url'] = $this->input->post('og_url');
                $seo_content['og_site_name'] = $this->input->post('og_site_name');
                $seo_content['og_image'] = $this->input->post('og_image');
                $seo_content['fb_admins'] = $this->input->post('fb_admins');
                $seo_content['twitter_card'] = $this->input->post('twitter_card');
                $seo_content['twitter_site'] = $this->input->post('twitter_site');
                $seo_content['twitter_creator'] = $this->input->post('twitter_creator');
                $seo_content['twitter_title'] = $this->input->post('twitter_title');
                $seo_content['twitter_description'] = $this->input->post('twitter_description');
                $seo_content['twitter_image_src'] = $this->input->post('twitter_image_src');
                $seo_content['twitter_canonical'] = $this->input->post('twitter_canonical');
                $seo_content['item_type'] = $this->input->post('item_type');
                $seo_content['item_name'] = $this->input->post('item_name');
                $seo_content['item_description'] = $this->input->post('item_description');
                $seo_content['item_url'] = $this->input->post('item_url');
                $seo_content['item_image'] = $this->input->post('item_image');
                $seo_content['item_author'] = $this->input->post('item_author');
                $seo_content['item_organization'] = $this->input->post('item_organization');
                // save information in the database
                $id = $this->input->post('labhealthpackages_id');
                $speciality_id = $this->input->post('speciality_id');
                $data['title'] = $this->input->post('title');
                $data['slug'] = $this->format_uri($this->input->post('slug'));
  
               $data['overview'] = $this->input->post('overview');
                
                $data['seo_content'] = json_encode($seo_content);
               if (isset($_FILES['image']) && $_FILES['image']['name'] != "") {
                    $path_parts = pathinfo($_FILES["image"]["name"]);
                    $extension = '.'.$path_parts['extension'];
                    $filename = time().uniqid().$extension;
                    move_uploaded_file($_FILES['image']['tmp_name'], 'uploads/images/testprocess/'.$filename);
                    $data['image'] = 'uploads/images/testprocess/'.$filename;
                }
                $this->db->where('id',$id);
                $this->db->update('testprocess',$data);
                if (isset($_FILES['photo']) && $_FILES['photo']['name'] != "") {
                    move_uploaded_file($_FILES['photo']['tmp_name'], 'uploads/images/testprocess/image/'.$id.'.jpg');
                }
                set_alert('success', translate('information_has_been_saved_successfully'));
                redirect(base_url('frontend/labhealthpackages/testprocess/'.$speciality_id));
            
        }

        $this->data['labhealthpackageslist'] = $this->frontend_model->get_list('sub_speciality');
        $this->data['title'] = translate('labhealthpackages');
        $this->data['sub_page'] = 'frontend/labhealthpackages';
        $this->data['main_menu'] = 'frontend';
        $this->load->view('layout/index', $this->data);
    }
    
    public function testprocess_delete($id = '')
    {
        if (!get_permission('frontend_labhealthpackages', 'is_delete')) {
            access_denied();
        }
        $this->db->where(array('id' => $id))->delete("testprocess");
    }
    
       function format_uri( $string, $separator = '-' ){
        $accents_regex = '~&([a-z]{1,2})(?:acute|cedil|circ|grave|lig|orn|ring|slash|th|tilde|uml);~i';
        $special_cases = array( '&' => 'and', "'" => '');
        $string = mb_strtolower( trim( $string ), 'UTF-8' );
        $string = str_replace( array_keys($special_cases), array_values( $special_cases), $string );
        $string = preg_replace( $accents_regex, '$1', htmlentities( $string, ENT_QUOTES, 'UTF-8' ) );
        $string = preg_replace("/[^a-z0-9]/u", "$separator", $string);
        $string = preg_replace("/[$separator]+/u", "$separator", $string);
        return $string;
    }
    
}
