

        <div class="site-breadcrumb">
            <div class="site-breadcrumb-bg" style="background: url(<?=base_url('uploads/images/')?>common-banner.png)"></div>
            <div class="container">
                <div class="site-breadcrumb-wrap">
                    <h4 class="breadcrumb-title">Medicines</h4>
                    <ul class="breadcrumb-menu">
                        <li><a href="#"><i class="far fa-home"></i> Home</a></li>
                        <li class="active">Medicines</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="product-area pt-80">
            <div class="container cont">
                <div class="col-12 wow fadeInDown" data-wow-delay=".25s">
                    <div class="topic"></div>
                    <div class="content">
                        <input type="radio" name="slider" checked id="home">
                        <input type="radio" name="slider" id="blog">
                        <input type="radio" name="slider" id="help">
                        <input type="radio" name="slider" id="code">
                        <input type="radio" name="slider" id="about">
                        <div class="list">
                            <label for="home" class="home">
                                <span>Diabetes</span>
                            </label>
                            <label for="blog" class="blog">
                                <span>Hypertension</span>
                            </label>
                            <label for="help" class="help">
                                <span>Arthritis</span>
                            </label>
                            <label for="code" class="code">
                                <span>Asthma</span>
                            </label>
                            <div class="slider"></div>
                        </div>

                        <div class="text-content imgpt">
                            <div class="home text">
                                <div class="contact-form-header left">
                                    <h2>Take Control, Stay Balanced</h2>
                                </div>
                                <p class="mb-10">Living with <b>diabetes</b> isn’t easy—it’s a constant balancing act of managing blood sugar levels, sticking to medication routines, and making smart lifestyle choices. At <b>Giant Cell</b>, we’re here to help ease that journey with simple, effective solutions tailored for you. From <b>glucose monitors, insulin pens</b>, and <b>test strips</b> to <b>sugar-free supplements </b>and diabetic-friendly snacks, we offer everything you need to keep your sugar levels in check.</p>
                                <p class="mb-10">We know consistency is key. That’s why our platform provides personalized <b>medication reminders </b>and easy access to expert consultations, so you never miss a dose or feel uncertain about your care. Our easy-to-use interface and timely deliveries ensure your medicines arrive when you need them, taking the stress out of managing your condition.</p>
                                <img src="<?=base_url('uploads/images/')?>diabetess.png">
                                <p class="mb-10">Beyond medications, we help you with meal planning, offer tips for <b>glucose monitoring</b>, and provide resources for maintaining a healthy lifestyle. Our goal is to empower you with tools and support to manage your diabetes confidently, helping you lead a healthier, more active life.</p>
                                <p class="mb-10">With progress tracking, personalized reports, and ongoing expert advice, Giant Cell makes it easier for you to stay in control—because living with diabetes shouldn’t hold you back from living your best life.</p>
                            </div>

                            <div class="blog text">
                                <div class="contact-form-header left">
                                    <h2>Keep Your Heart Calm and Strong</h2>
                                </div>
                                <p class="mb-10">High <b>blood pressure </b>can creep up unnoticed, but managing it shouldn’t be stressful. At <b>Giant Cell</b>, we make it easier for you to stay in control of your heart health. Our selection of <b>blood pressure control medications, heart-friendly supplements</b>, and easy-to-use <b>digital BP monitors</b> ensures that your journey to better health is smooth and worry-free.</p>
                                <p class="mb-10">We believe that effective<b> hypertension management </b>isn’t just about medication—it’s about building healthier habits. That’s why we offer lifestyle resources, including <b>dietary advice</b>, personalized reminders, and expert guidance to help you stay consistent and motivated.</p>
                                <img src="<?=base_url('uploads/images/')?>hypertension.png">
                                <p class="mb-10">Our platform connects you with leading cardiologists for personalized consultations and offers tools like real-time <b>blood pressure tracking</b> to monitor your progress. Each feature is designed to help you take control of your heart health, one small step at a time.</p>
                                <p class="mb-10">At <b>Giant Cell</b>, our mission goes beyond numbers—we’re here to support your entire heart-health journey with practical advice, emotional support, and reliable care tailored just for you.</p>
                            </div>
                            
                            <div class="help text">
                                <div class="contact-form-header left">
                                    <h2>Move Freely, Live Fully</h2>
                                </div>
                                <div class="title"></div>
                                <p class="mb-10">We understand how difficult life can be when joint pain limits your movements. That’s why <b>Giant Cell </b>offers a complete range of<b> arthritis management solutions</b> designed to help you regain your independence. Our collection includes <b>anti-inflammatory medications, joint supplements</b>, and <b>pain relief gels</b> that provide fast and effective relief from everyday discomfort.</p>
                                <p class="mb-10">But it’s not just about medication—it’s about getting back to the activities you love. That’s why we offer <b>mobility aids </b>like braces, ergonomic tools, and expert-recommended exercises to help improve flexibility and keep you moving comfortably.</p>
                                <img src="<?=base_url('uploads/images/')?>arthirites.png">
                                <p class="mb-10">Our personalized arthritis care plans offer everything from gentle stretching routines to dietary advice, designed to strengthen your joints and reduce stiffness. We’re committed to making sure every step you take feels lighter and pain-free.</p>
                                <p class="mb-10">With regular tracking and ongoing expert support, <b>Giant Cell</b> empowers you to take control of your arthritis, helping you move freely, live fully, and enjoy life without limits.</p>
                            </div>
                            
                            <div class="code text">
                                <div class="contact-form-header left">
                                    <h2>Breathe Easy, Live Freely</h2>
                                </div>
                                <div class="title"></div>
                                <p class="mb-10">Breathing should never be something you have to think twice about. At <b>Giant Cell</b>, we’re here to help you stay ahead of your <b>asthma</b> with easy-to-use solutions and expert care. Our range of <b>inhalers, bronchodilators</b>, and <b>nebulizers</b> is designed to offer both immediate relief and long-term control of your symptoms.</p>
                                <p class="mb-10">We don’t just treat asthma—we help you prevent it from getting in the way of your life. From <b>air purifiers</b> to <b>allergy medications</b>, we provide tools that help you manage triggers and breathe comfortably, no matter where you are.</p>
                                <img src="<?=base_url('uploads/images/')?>ashthma.png">
                                <p class="mb-10">Our personalized action plans include medication reminders, daily <b>breathing exercises</b>, and expert consultations to help you stay on top of your condition. Whether it’s a sudden flare-up or routine management, we’re with you every step of the way.</p>
                                <p class="mb-10">With <b>Giant Cell</b>, you’re not just managing asthma—you’re taking control of your life, breathing easier, and living without limits.</p>
                            
                            
                            </div>
               
            </div>
        </div>

                   
                </div>
            </div>
            
        </div>
        
        <div class="product-area pt-80 pb-100">
        <div class="big-banner">
            <div class="container wow fadeInUp" data-wow-delay=".25s">
                <div class="banner-wrap" style="background-image: url(assets/img/banner/big-banner.jpg);">
                    <div class="row">
                        <div class="col-lg-8 mx-auto">
                            <div class="banner-content">
                                <div class="banner-info">
                                    <h2 style="font-weight: 800;">Get 20% Off on all Medicines</h2>
                                </div>
                                <a href="<?=base_url()?>shop-now" class="theme-btn">Buy Now<i class="fas fa-arrow-right"></i></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>


